package cn.com.qmth.stmms.biz.report.service;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectTeacherClass;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;

import java.util.List;

/**
 * 课程教师机组 成绩分析
 *
 * @author xuwenjin
 * @date 2019-04-17
 */
public interface ReportSubjectTeacherClassService {

    void deleteByExamId(Integer examId);

    List<ReportSubjectTeacherClass> findByQuery(ReportSubjectQuery query);

    ReportSubjectTeacherClass save(ReportSubjectTeacherClass r);

    void updateRelativeAvgScore(Integer examId);

    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);
}
